
Redmine - Defect #11690

Duplicate entry when importing git repository changesets

2012-08-23 12:43 - Rui Gonçalves

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.2

Description

Hi there!

I'm moving all the git repositories from github to Redmine, since my company intend to use it handle our project management tasks.

After creating a new project, the git repository is automatically initialized through gitolite. After that, I clone the git repository from

github into my local workstation, update the remote with my Redmine / Git server address and push the repository into it.

After that, I think that the changesets insertion process into the database is started when I access the project's Repository section for

the first time. However, the process is interrupted, being generated a 500 error page.

On the production log, is being registered the following error:

ActiveRecord::StatementInvalid (Mysql::Error: Duplicate entry '13-c2c826115ca4fd31c047781c515c8a19bfe50a12' for key

'changesets_repos_rev': INSERT INTO `changesets` (`committer`, `repository_id`, `committed_on`, `scmid`, `comments`, `revision`,

`commit_date`, `user_id`) VALUES('user <user@domain.com>', 13, '2012-04-24 09:07:39',

'c2c826115ca4fd31c047781c515c8a19bfe50a12', 'close #2 - message\nsee #3 - partially removed mentions to project - lots more to

clean', 'c2c826115ca4fd31c047781c515c8a19bfe50a12', '2012-04-24 09:07:39', NULL)):

I would like to say that I've use the exactly same approach to an other project and all went well.

Here goes my system information:

Redmine Version - 1.3.2

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.8.15

Rack version              1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Git Hosting Plugin   0.4.2

Thanks in advance for the help,

Best regards

History

#1 - 2012-08-23 13:53 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

Redmine 1.3.2 checks duplicates.

source:tags/1.3.2/app/models/repository/git.rb#L153

2024-05-06 1/2

mailto:user@domain.com
https://www.redmine.org/issues/2
https://www.redmine.org/issues/3
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.3.2/app/models/repository/git.rb#L153


#2 - 2012-08-23 13:54 - Toshi MARUYAMA

- Category changed from Database to SCM

- Affected version (unused) set to 1.3.2

- Affected version set to 1.3.2
